<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
		<h2>Editace zákazníka</h2>

		<h:form>
			<h:messages layout="table" ></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="ID"></h:outputLabel>
				<h:outputText value="#{zakaznikBean.zakaznik.idZakaznika}">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Jméno"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.zakaznik.jmeno}" required="true"
					requiredMessage="Jméno je povinné"
					validatorMessage="Jméno je příliš krátké">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Příjmení"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.zakaznik.prijmeni}" required="true"
					requiredMessage="Příjmení je povinné"
					validatorMessage="Příjmení je příliš krátké">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Jméno Firmy"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.zakaznik.jmenoFirmy}">
				</h:inputText>
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>
			
			<h3>Adresy</h3>
			
			<h:dataTable value="#{zakaznikBean.zakaznik.adresy}"
			             var="adresa" styleClass="table"
			             columnClasses="text-left,text-left,text-right,text-right,text-center">
				<h:column>
					<f:facet name="header">
						Obec
					</f:facet>
					<h:outputText value="#{adresa.obec}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Ulice
					</f:facet>
					<h:outputText value="#{adresa.ulice}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Číslo
					</f:facet>
					<h:outputText value="#{adresa.cislo}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						PSČ
					</f:facet>
					<h:outputText value="#{adresa.psc}"></h:outputText>
				</h:column>
				<h:column>
					<h:commandLink action="#{zakaznikBean.actionAdresaDel(adresa)}">
						<i class="fa fa-times fa-15x" aria-hidden="true" title="Smazat"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>

			<h:commandLink action="#{zakaznikBean.actionAdresaNew}" value="Nová adresa" styleClass="button append">
			</h:commandLink>

			<div class="blok">
				<h:commandButton action="#{zakaznikBean.actionUpdate}" value="Uložit" styleClass="button">
				</h:commandButton>
				<h:commandButton action="cancel" value="Zrušit" styleClass="button">
				</h:commandButton>
			</div>
			
		</h:form>
	</ui:define>
</ui:composition>
</html>
